(function () {
    'use strict';

    function dashboardController(notificationsService,
        uSyncMigrationPackService) {

        var vm = this;
        vm.makePack = makePack;
        vm.state = 'init';
        vm.working = false; 
        vm.hasContentEdition = true; 

        vm.$onInit = function () {
            checkContentEdition();
        }
        function checkContentEdition() {
            uSyncMigrationPackService.hasContentEdition()
                .then(function (response) {
                    console.log(response.data);
                    vm.hasContentEdition = response.data;

                });
        }

        function makePack() {
            vm.state = 'busy';
            vm.working = true;

            uSyncMigrationPackService.makePack()
                .then(function (response) {
                    vm.working = false; 
                    vm.state = 'success';
                    notificationsService.success('packed', 'pack created');
                }, function (error) {
                    vm.working = false; 
                    vm.state = 'error';
                    console.log('error', error);
                    notificationsService.error('error', error.ExceptionMessage);
                });
        }

    }

    angular.module('umbraco')
        .controller('uSyncPackerDashboardController', dashboardController);

})();